### File

`src/app/_models/mappings.ts`

### Description

Action object interface

### Index

###### Properties
action approval id role user

### Properties

action
`action: `string``
Type : `string`
Action performed

approval
`approval: `boolean``
Type : `boolean`
Action approval status.

id
`id: `number``
Type : `number`
Action ID

role
`role: `string``
Type : `string`
Admin's role in the system

user
`user: `string``
Type : `string`
Admin who initialized the action.

    interface Action {
      /** Action performed */
      action: string;
      /** Action approval status. */
      approval: boolean;
      /** Action ID */
      id: number;
      /** Admin's role in the system */
      role: string;
      /** Admin who initialized the action. */
      user: string;
    }

    /** Area name object interface */
    interface AreaName {
      /** Locations that map to that area name. */
      locations: Array<string>;
      /** Name of area */
      name: string;
    }

    /** Area type object interface */
    interface AreaType {
      /** Areas that map to that area type. */
      area: Array<string>;
      /** Type of area */
      name: string;
    }

    /** Category object interface */
    interface Category {
      /** Business category */
      name: string;
      /** Products that map to that category. */
      products: Array<string>;
    }

    /** @exports */
    export { Action, AreaName, AreaType, Category };

# result-matching ""

# No results matching ""